clear all;
close all;

ech = 0.5;
x = -2:ech:10;
xconvo = -1.5:ech:1.5;
[Xc,Yc] = meshgrid(xconvo, xconvo);
convo = F(Xc, Yc);
[X, Y] = meshgrid(x, x);
Nx = zeros(size(X));
Ny = zeros(size(X));

Nx(1/ech + 1, 6/ech + 1) = 1/ech;
Nx(3/ech + 1, 6/ech + 1) = 1/ech;
Nx(5/ech + 1, 6/ech + 1) = 1/ech;
Nx(6/ech + 1, 6/ech + 1) = 1/ech;
Nx(7/ech + 1, 6/ech + 1) = 1/ech;
Nx(8/ech + 1, 6/ech + 1) = 1/ech;


Nxc = conv2(Nx, convo, 'same')*ech;
Nyc = conv2(Ny, convo, 'same')*ech;

figure(1);
hold on;
quiver(X, Y, Nx, Ny, '-g', 'Linewidth', 2);
quiver(X, Y, Nxc, Nyc, '-r');
scatter([4,4,4,4,4,4], [-1,1,3,4,5,6]);
axis([0,8,-2,6]);
axis equal;

grid on;
hold off;


figure(2);
hold on;

plot([2, 3, 5, 6], [2, 0.25, 0.25, 2], '-r', 'Linewidth', 2);
plot([2, 3, 5, 6], [2, 3.75, 3.75, 2], '-m', 'Linewidth', 2);

quiver(X, Y, Nx, Ny, '-g', 'Linewidth', 2);
quiver(X, Y, Nxc, Nyc, '-r');
scatter([4,4,4,4,4,4], [-1,1,3,4,5,6]);
axis([0,8,-2,6]);
axis equal;

grid on;
hold off;








