close all;
clear all;

ti = -pi:0.2:pi;
ti = ti';
ti = ti(2:end);

P = [cos(ti), sin(ti)];
N_P = -P;
P = P/5 + 0.5;
w = ones(numel(ti));
w = w';

S = Poisson2DSolver(P, N_P, w, 4, 10);



figure(1);
hold on;
scatter(P(:,1), P(:,2));
S.T.plot();
S.T.plotV();

[X,Y] = meshgrid(0:0.05:1, 0:0.05:1);
fprintf('Computing the solution on the grid :\n');
Z = (arrayfun(@S.sol, X, Y));
[C,h] = contour(X, Y, Z);
clabel(C,h);
fprintf('\n');
axis([0,1,0,1]);
axis square;
hold off;


figure(2);
hold on;
scatter(P(:,1), P(:,2));
S.T.plot();
contour(X, Y, Z, [0,0], 'LineColor', 'r');
fprintf('\n');
axis([0,1,0,1]);
axis square;
hold off;

