function [] = test_poisson()
close all;
clear all;

ti = -pi:0.2:pi;
ti = ti';
ti = ti(2:end);

P = [cos(ti), sin(ti)];
N_P = -P;
P = P/3 + 0.5;

T = QuadTree(P, []);
figure(1);
hold on;
scatter(P(:,1), P(:,2));


quiver(P(:,1), P(:,2), N_P(:, 1), N_P(:,2), 0.5);

l = 1:numel(ti);
l = l';
D = 3;
w_p = arrayfun(@(x) W(P, T, D, x), l);
d2 = T.getMaxDepth();
depths_p = DesiredDepths(d2, w_p);
disp(w_p');
disp(d2);
disp(depths_p');

T.loadV(P, w_p, depths_p, N_P);
T.plot();
T.plotV();

node_labels = T.getSortedLabels();
n = numel(node_labels)
n = 60;
A = zeros(n, n);
B = zeros(n, 1);
for i = 1:n
    for j = 1:n
        A(i,j) = T.PoissonAij(node_labels{i}, node_labels{j});
        fprintf('1');
    end;
    fprintf('\n');
end;
fprintf('\n');
for i = 1:n
    B(i, 1) = T.VDotGradBi(node_labels{i});
    fprintf('2');
end;

C = A\B;


[X,Y] = meshgrid(0:0.05:1, 0:0.05:1);
surf(X, Y, arrayfun(@finale, X, Y), 'EdgeColor','none');
%
% [X,Y] = meshgrid(0:0.05:1, 0:0.05:1);
% f = @(x,y) V(P, N_P, T, w_p, depths_p, [x,y]);
% C = arrayfun(f, X, Y, 'UniformOutput', 0);
% U = cellfun(@(x) x(1), C);
% V = cellfun(@(x) x(2), C);
%
% quiver(X, Y, U, V, 3);
%stem3(P(:,1), P(:,2), w_p);

axis([0,1, 0, 1]);
axis square;
hold off;

disp(1);

    function z = finale(x,y)
        z = 0;
        for ind = 1:n
           z = z + C(i) *  T.getNode(node_labels{ind}).fun(x,y) ;
        end
    end


end